## org.apache.cassandra.thrift
Class Cassandra.get_range_slices_args

    java.lang.Object
      org.apache.cassandra.thrift.Cassandra.get_range_slices_args

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Cassandra.get_range_slices_args>, org.apache.thrift.TBase<Cassandra.get_range_slices_args._Fields>

Enclosing class:
  Cassandra

    public static class Cassandra.get_range_slices_args

extends java.lang.Object
implements org.apache.thrift.TBase<Cassandra.get_range_slices_args._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Cassandra.get_range_slices_args>

See Also:
  Serialized Form

Nested Class Summary
`static class` `Cassandra.get_range_slices_args._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

Field Summary
`ColumnParent` `column_parent`
`ConsistencyLevel` `consistency_level`
`java.lang.String` `keyspace`
`static java.util.Map<Cassandra.get_range_slices_args._Fields,org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`SlicePredicate` `predicate`
`KeyRange` `range`

Constructor Summary
`Cassandra.get_range_slices_args()`
`Cassandra.get_range_slices_args(Cassandra.get_range_slices_args other)` Performs a deep copy on other.
`Cassandra.get_range_slices_args(java.lang.String keyspace, ColumnParent column_parent, SlicePredicate predicate, KeyRange range, ConsistencyLevel consistency_level)`

Method Summary
`Cassandra.get_range_slices_args` `clone()` Deprecated.
`int` `compareTo(Cassandra.get_range_slices_args other)`
`Cassandra.get_range_slices_args` `deepCopy()`
`boolean` `equals(Cassandra.get_range_slices_args that)`
`boolean` `equals(java.lang.Object that)`
`ColumnParent` `getColumn_parent()`
`ConsistencyLevel` `getConsistency_level()`
`java.lang.Object` `getFieldValue(Cassandra.get_range_slices_args._Fields field)`
`java.lang.Object` `getFieldValue(int fieldId)`
`java.lang.String` `getKeyspace()`
`SlicePredicate` `getPredicate()`
`KeyRange` `getRange()`
`int` `hashCode()`
`boolean` `isSet(Cassandra.get_range_slices_args._Fields field)` Returns true if field corresponding to fieldID is set (has been asigned a value) and false otherwise
`boolean` `isSet(int fieldID)`
`boolean` `isSetColumn_parent()` Returns true if field column_parent is set (has been asigned a value) and false otherwise
`boolean` `isSetConsistency_level()` Returns true if field consistency_level is set (has been asigned a value) and false otherwise
`boolean` `isSetKeyspace()` Returns true if field keyspace is set (has been asigned a value) and false otherwise
`boolean` `isSetPredicate()` Returns true if field predicate is set (has been asigned a value) and false otherwise
`boolean` `isSetRange()` Returns true if field range is set (has been asigned a value) and false otherwise
`void` `read(org.apache.thrift.protocol.TProtocol iprot)`
`Cassandra.get_range_slices_args` `setColumn_parent(ColumnParent column_parent)`
`void` `setColumn_parentIsSet(boolean value)`
`Cassandra.get_range_slices_args` `setConsistency_level(ConsistencyLevel consistency_level)`
`void` `setConsistency_levelIsSet(boolean value)`
`void` `setFieldValue(Cassandra.get_range_slices_args._Fields field, java.lang.Object value)`
`void` `setFieldValue(int fieldID, java.lang.Object value)`
`Cassandra.get_range_slices_args` `setKeyspace(java.lang.String keyspace)`
`void` `setKeyspaceIsSet(boolean value)`
`Cassandra.get_range_slices_args` `setPredicate(SlicePredicate predicate)`
`void` `setPredicateIsSet(boolean value)`
`Cassandra.get_range_slices_args` `setRange(KeyRange range)`
`void` `setRangeIsSet(boolean value)`
`java.lang.String` `toString()`
`void` `unsetColumn_parent()`
`void` `unsetConsistency_level()`
`void` `unsetKeyspace()`
`void` `unsetPredicate()`
`void` `unsetRange()`
`void` `validate()`
`void` `write(org.apache.thrift.protocol.TProtocol oprot)`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### keyspace

    public java.lang.String keyspace

### column_parent

    public ColumnParent column_parent

### predicate

    public SlicePredicate predicate

### range

    public KeyRange range

### consistency_level

    public ConsistencyLevel consistency_level

See Also:
  `ConsistencyLevel`

### metaDataMap

    public static final java.util.Map<Cassandra.get_range_slices_args._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

Constructor Detail

### Cassandra.get_range_slices_args

    public Cassandra.get_range_slices_args()

### Cassandra.get_range_slices_args

    public Cassandra.get_range_slices_args(java.lang.String keyspace,
                                           ColumnParent column_parent,
                                           SlicePredicate predicate,
                                           KeyRange range,
                                           ConsistencyLevel consistency_level)

### Cassandra.get_range_slices_args

    public Cassandra.get_range_slices_args(Cassandra.get_range_slices_args other)

  Performs a deep copy on other.

Method Detail

### deepCopy

    public Cassandra.get_range_slices_args deepCopy()

  Specified by:
    `deepCopy` in interface `org.apache.thrift.TBase<Cassandra.get_range_slices_args._Fields>`

### clone

    @Deprecated
    public Cassandra.get_range_slices_args clone()

  Deprecated.

  Overrides:
    `clone` in class `java.lang.Object`

### getKeyspace

    public java.lang.String getKeyspace()

### setKeyspace

    public Cassandra.get_range_slices_args setKeyspace(java.lang.String keyspace)

### unsetKeyspace

    public void unsetKeyspace()

### isSetKeyspace

    public boolean isSetKeyspace()

  Returns true if field keyspace is set (has been asigned a value) and false otherwise

### setKeyspaceIsSet

    public void setKeyspaceIsSet(boolean value)

### getColumn_parent

    public ColumnParent getColumn_parent()

### setColumn_parent

    public Cassandra.get_range_slices_args setColumn_parent(ColumnParent column_parent)

### unsetColumn_parent

    public void unsetColumn_parent()

### isSetColumn_parent

    public boolean isSetColumn_parent()

  Returns true if field column_parent is set (has been asigned a value) and false otherwise

### setColumn_parentIsSet

    public void setColumn_parentIsSet(boolean value)

### getPredicate

    public SlicePredicate getPredicate()

### setPredicate

    public Cassandra.get_range_slices_args setPredicate(SlicePredicate predicate)

### unsetPredicate

    public void unsetPredicate()

### isSetPredicate

    public boolean isSetPredicate()

  Returns true if field predicate is set (has been asigned a value) and false otherwise

### setPredicateIsSet

    public void setPredicateIsSet(boolean value)

### getRange

    public KeyRange getRange()

### setRange

    public Cassandra.get_range_slices_args setRange(KeyRange range)

### unsetRange

    public void unsetRange()

### isSetRange

    public boolean isSetRange()

  Returns true if field range is set (has been asigned a value) and false otherwise

### setRangeIsSet

    public void setRangeIsSet(boolean value)

### getConsistency_level

    public ConsistencyLevel getConsistency_level()

  See Also:
    `ConsistencyLevel`

### setConsistency_level

    public Cassandra.get_range_slices_args setConsistency_level(ConsistencyLevel consistency_level)

  See Also:
    `ConsistencyLevel`

### unsetConsistency_level

    public void unsetConsistency_level()

### isSetConsistency_level

    public boolean isSetConsistency_level()

  Returns true if field consistency_level is set (has been asigned a value) and false otherwise

### setConsistency_levelIsSet

    public void setConsistency_levelIsSet(boolean value)

### setFieldValue

    public void setFieldValue(Cassandra.get_range_slices_args._Fields field,
                              java.lang.Object value)

  Specified by:
    `setFieldValue` in interface `org.apache.thrift.TBase<Cassandra.get_range_slices_args._Fields>`

### setFieldValue

    public void setFieldValue(int fieldID,
                              java.lang.Object value)

  Specified by:
    `setFieldValue` in interface `org.apache.thrift.TBase<Cassandra.get_range_slices_args._Fields>`

### getFieldValue

    public java.lang.Object getFieldValue(Cassandra.get_range_slices_args._Fields field)

  Specified by:
    `getFieldValue` in interface `org.apache.thrift.TBase<Cassandra.get_range_slices_args._Fields>`

### getFieldValue

    public java.lang.Object getFieldValue(int fieldId)

  Specified by:
    `getFieldValue` in interface `org.apache.thrift.TBase<Cassandra.get_range_slices_args._Fields>`

### isSet

    public boolean isSet(Cassandra.get_range_slices_args._Fields field)

  Returns true if field corresponding to fieldID is set (has been asigned a value) and false otherwise

  Specified by:
    `isSet` in interface `org.apache.thrift.TBase<Cassandra.get_range_slices_args._Fields>`

### isSet

    public boolean isSet(int fieldID)

  Specified by:
    `isSet` in interface `org.apache.thrift.TBase<Cassandra.get_range_slices_args._Fields>`

### equals

    public boolean equals(java.lang.Object that)

  Overrides:
    `equals` in class `java.lang.Object`

### equals

    public boolean equals(Cassandra.get_range_slices_args that)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### compareTo

    public int compareTo(Cassandra.get_range_slices_args other)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<Cassandra.get_range_slices_args>`

### read

    public void read(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

  Specified by:
    `read` in interface `org.apache.thrift.TBase<Cassandra.get_range_slices_args._Fields>`
  Throws:
    `org.apache.thrift.TException`

### write

    public void write(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

  Specified by:
    `write` in interface `org.apache.thrift.TBase<Cassandra.get_range_slices_args._Fields>`
  Throws:
    `org.apache.thrift.TException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### validate

    public void validate()
                  throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

Copyright © 2010 The Apache Software Foundation